---
title: ChannelMergerNode
slug: Web/API/ChannelMergerNode
tags:
  - API
  - ChannelMergerNode
  - Interface
  - Reference
  - Web Audio API
---
<p>{{APIRef("Web Audio API")}}</p>

<p>The <code>ChannelMergerNode</code> interface, often used in conjunction with its opposite, {{domxref("ChannelSplitterNode")}}, reunites different mono inputs into a single output. Each input is used to fill a channel of the output. This is useful for accessing each channels separately, e.g. for performing channel mixing where gain must be separately controlled on each channel.</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/9709/WebAudioMerger.png" style="display: block; height: 216px; margin: 0px auto; width: 286px;"></p>

<p>If <code>ChannelMergerNode</code> has one single output, but as many inputs as there are channels to merge; the number of inputs is defined as a parameter of its constructor and the call to {{domxref("AudioContext.createChannelMerger")}}. In the case that no value is given, it will default to <code>6</code>.</p>

<p>Using a <code>ChannelMergerNode</code>, it is possible to create outputs with more channels than the rendering hardware is able to process. In that case, when the signal is sent to the {{domxref("AudioContext.listener")}} object, supernumerary channels will be ignored.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Number of inputs</th>
   <td>variable; default to <code>6</code>.</td>
  </tr>
  <tr>
   <th scope="row">Number of outputs</th>
   <td><code>1</code></td>
  </tr>
  <tr>
   <th scope="row">Channel count mode</th>
   <td><code>"max"</code></td>
  </tr>
  <tr>
   <th scope="row">Channel count</th>
   <td><code>2 </code>(not used in the default count mode)</td>
  </tr>
  <tr>
   <th scope="row">Channel interpretation</th>
   <td><code>"speakers"</code></td>
  </tr>
 </tbody>
</table>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("ChannelMergerNode.ChannelMergerNode()", "ChannelMergerNode()")}}</dt>
 <dd>Creates a new <code>ChannelMergerNode</code> object instance.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<p><em>No specific property; inherits properties from its parent, </em><em>{{domxref("AudioNode")}}</em>.</p>

<h2 id="Methods">Methods</h2>

<p><em>No specific method; inherits methods from its parent, </em><em>{{domxref("AudioNode")}}</em>.</p>

<h2 id="Example">Example</h2>

<p>{{page("/en-US/docs/Web/API/AudioContext.createChannelMerger","Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#channelmergernode', 'ChannelMergerNode')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.ChannelMergerNode")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
